Bug 68617 - UI: Row/Column Highlight of current selection not showing correctly
Summary: UI: Row/Column Highlight of current selection not showing correctly
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: lowest trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: topicUI
Depends on:
Blocks: Cell-Selection
  Show dependency treegraph
 
Reported: 2013-08-27 16:22 UTC by Max Lara
Modified: 2018-09-04 02:54 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Example of non-continuous cell selection not highlighting (8.16 KB, image/png)
2013-08-27 16:22 UTC, Max Lara
Details
Example of continuous cell selection highlighting (7.38 KB, image/png)
2013-08-27 16:24 UTC, Max Lara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Max Lara 2013-08-27 16:22:56 UTC
Created attachment 84724 [details]
Example of non-continuous cell selection not highlighting

Problem description: Row/Column indicator of currently selected cells stops showing up when selection is non-continuous

Steps to reproduce:
1. Fill an area with numbers 
2. Select a continuous number of cells (e.g. A1:B2)
Row/Column indicators highlight normally
3. Select a couple of non continuous cells (using the control key, e.g. A1 and B2) and Row/Column indicators stop highlighting

Current behavior: Row/Column indicators are not highlighted

Expected behavior: Row/Column indicators should still highlight where non-continuous cells have been selected

              
Operating System: openSUSE
Version: 4.0.0.3 release
Comment 1 Max Lara 2013-08-27 16:24:01 UTC
Created attachment 84726 [details]
Example of continuous cell selection highlighting
Comment 2 Joel Madero 2013-09-24 22:38:14 UTC
Thank you for reporting this issue! I have been able to confirm the issue on:
Version 4.1.1.2 
Platform: Ubuntu 13.04 x64
+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
As I've been able to confirm this problem on an earlier release I am changing the version number as version is the earliest version that we can confirm the bug, we use comments to say that the bug exists in newer versions as well.

Marking as:

New (confirmed)
Trivial - unlikely to have any impact at all on professional quality work
Low

Keywords - 

Whiteboard Status -proposedeasyhack

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 3 Robinson Tryon (qubit) 2013-10-19 01:01:31 UTC Comment hidden (obsolete)
Comment 4 Greg 2013-11-04 13:48:32 UTC
Hi,

I'm new to the LibreOffice source code, but I'd like to try and tackle this bug.

Would anyone be able to direct me to the source(s) involved with highlighting the column headers in Spreadsheet? Or possibly guide me to a directory?
Comment 5 Joel Madero 2013-11-04 14:05:29 UTC
Markus - any code pointers on this one?
Comment 6 Markus Mohrhard 2014-02-15 04:45:02 UTC
So a few code pointers for this task (but can we PLEASE rename ProposedEasyHack):

The classes for row and col headers are called ScColBar and ScRowBar. Both inherit from ScHeaderControl which also contains the shared code for showing the highlighted selection. Basically the code right now can only handle one continuous range.

The update of the marked range is done in ScTabView::UpdateAutoFillMark
Comment 7 Joel Madero 2014-02-27 23:03:37 UTC
In order to limit the confusion between ProposedEasyHack and EasyHack and to make queries much easier we are changing ProposedEasyHack to NeedsDevEval.

Thank you and apologies for the noise
Comment 8 Robinson Tryon (qubit) 2015-12-14 07:03:06 UTC Comment hidden (obsolete)
Comment 9 jani 2016-04-12 15:58:02 UTC
Akshay@ still working on this (otherwise please unsaying yourself) ?
Comment 10 Asela 2016-08-03 07:21:19 UTC
I would like to fix this bug..
Can you give me some hints to fix it
Comment 11 jani 2016-08-03 08:25:56 UTC
(In reply to Asela from comment #10)
> I would like to fix this bug..
> Can you give me some hints to fix it

Comment #6 contains the hint you need (opengrok is your friend to find the sources)

Also have a look at
https://wiki.documentfoundation.org/Development/GetInvolved
Comment 12 jani 2016-10-25 13:32:07 UTC
missing mentor, and also seems to be very complicated.
Comment 13 abhilash300singh 2016-11-03 20:50:03 UTC
A few things I found in my investigation:

1. ScHeaderControl::SetMark takes care of highlighting row/column of current selection. This function appears only inside ScTabView::UpdateAutoFillMark which handles multiple continuous selection. The bug occurs because this function is never called during non-continuous selection.

2. It is also required to remember the positions of all discretely selected cells. If there is already a function that keeps record of the positions of discretely selected cell, all that would be required is to call ScHeaderControl::SetMark as is done inside ScTabView::UpdateAutoFillMark. 

I will reassign myself when I find more info, until which anyone should feel free to assign/try this out.

Thanks.
Comment 14 QA Administrators 2018-09-04 02:54:45 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug